.menu {
    box-shadow: 0 .5rem 1rem rgba(0,0,0,.15);
    padding: 5px 15px;
}

.menu-list {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
    column-gap: 10px;
    z-index: 999999;
}

.menu-list:is(.sub-menu) {
    box-shadow: 0 0.15rem .5rem rgba(0,0,0,.15);
    /* background-color: var(--bg-empresa); */
    background-color: #fff;
    flex-direction: column;
    position: absolute;
    left: 0;
    top: 100%;
    display: none;
}

.sub-menu:is(.sub-menu-right) {
    left: unset;
    right: 0;
}

.sub-menu .menu-link {
    min-width: 170px;
}

.menu-item {
    position: relative;
}

.menu-item:has(.sub-menu) > .menu-link::after {
    display: inline-block;
    margin-left: .255em;
    vertical-align: .255em;
    content: "";
    border-top: .3em solid;
    border-right: .3em solid transparent;
    border-bottom: .3em solid transparent;
    border-left: .3em solid transparent;
}

.menu-link {
    text-decoration: none;
    padding: 8px 20px;
    width: max-content;
    max-width: 170px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: var(--menu-item-color);
}

.menu-link:hover {
    color: var(--menu-link-color--hover);
    background-color: var(--menu-link-bg-color--hover);
}

.menu-link[data-sidebar-toggler] {
    padding: 10px;
}

.menu-link.menu-link-logo {
    padding-top: 0;
    padding-bottom: 0;
}

.menu-link.menu-link-logo .logo {
    margin: 0 auto;
    height: 60px;
}

.sidebar .menu-link[data-sidebar-toggler] {
    min-width: unset;
    width: 45px;
    height: 45px;
    padding: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    line-height: 0;
    float: right;
    font-size: 40px;
}

@media only screen and (min-width: 992px) {
    .menu-item:hover > .sub-menu {
        display: block;
    }
    .menu-list:not(.sidebar) {
        display: none;
    }

    .menu-item:has([data-sidebar-toggler]) {
        display: none;
    }

    .menu-link.menu-link-logo {
        padding: 0;
    }

    .sub-menu:not(.sub-menu-right) .sub-menu:not(.sub-menu-right),
    .sub-menu:is(.sub-menu-right) .sub-menu:not(.sub-menu-right) {
        left: 100%;
        top: 0;
    }

    .sub-menu:is(.sub-menu-right) .sub-menu-right,
    .sub-menu:not(.sub-menu-right) .sub-menu-right {
        left: unset;
        top: 0;
        right: 100%;
    
    }

    #mainsidebar  {
        align-items: center;
    }

    #mainsidebar [data-sidebar-toggler] {
        display: none;
    }
}

.accesos .menu-link {
    max-width: unset;
}

@media only screen and (max-width: 991.98px) {
    .sidebar:not(.sidebar-open) {
        display: none;
    }

    .menu-list.sidebar {
        position: fixed;
        left: 0;
        top: 0;
        /* background-color: var(--bg-empresa); */
        background-color: #fff;
        flex-direction: column;
        height: 100vh;
        width: 100%;
        box-shadow: 0 0.15rem .5rem rgba(0,0,0,.15);
        max-width: 250px;
        overflow: hidden;
        overflow-y: auto;
        padding: 10px 0;
    }

    .sub-menu .menu-link,
    .menu-link {
        min-width: 100%;
    }

    .menu-link {
        padding: 15px;
    }

    .menu-link.menu-link-logo .logo {
        height: 90px;
    }

    .sub-menu.sub-menu-open {
        display: block;
    }

    .sidebar .menu-list:is(.sub-menu) {
        position: relative;
        height: max-content;
        top: 0;
        left: 50%;
        right: unset;
        width: 95%;
        transform: translateX(-50%);
    }

    .sub-menu {
        padding: 0;
        z-index: 9;
    }

    .sub-menu .sub-menu {
        left: 0;
    }
}